## capnproto 0.2.1

=== debian/changelog ===
capnproto (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #719782)

 -- Tom Lee <debian@tomlee.co>  Tue, 20 Aug 2013 00:18:16 -0700
