=== debian/control ===
Source: capnproto
Section: devel
Priority: optional
Maintainer: Tom Lee <debian@tomlee.co>
Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
 python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
 xsltproc, autotools-dev
Standards-Version: 3.9.4
Homepage: http://kentonv.github.io/capnproto/
Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
Vcs-Browser: http://github.com/thomaslee/capnproto-debian

Package: libcapnp-0.2.1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cap'n Proto C++ library
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the runtime library needed for C++ applications.

Package: libcapnp-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcapnp-0.2.1 (= ${binary:Version})
Description: Cap'n Proto C++ library (development files)
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains the headers and static libraries needed for writing
 C++ applications.

Package: capnproto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libcapnp-0.2.1 (= ${binary:Version})
Description: tool for working with the Cap'n Proto data interchange format
 Similar to Protocol Buffers, Cap'n Proto is an efficient means of
 serializing structured data to be transferred across a network or
 written to disk. Users write a Cap'n Proto definition file that
 drives a code generator, which in turn emits C++ code for encoding &
 decoding messages in the Cap'n Proto format.
 .
 In addition to being extremely fast, Cap'n Proto also smooths over some
 of the rougher aspects of Protocol Buffers & introduces a number of new
 features to boot.
 .
 This package contains a small suite of tools for developing & maintaining
 your Cap'n Proto schema files, including a code generator for compiling
 your schema files to supported languages.
