## capnproto 0.4.0~git20131030+e7d2778

=== debian/changelog ===
capnproto (0.4.0~git20131030+e7d2778-0ubuntu1) trusty; urgency=low

  * Release latest capnproto git snapshot
  * debian/patches/fix_version_name.diff:
    - Add a quilt patch to change the version number of the pre-0.4 snapshot
      to 0.4.0, since 0.4-dev is invalid for soname's
  * Modify debian packaging to work with the 0.4.0~ version
  * Use dh-autoreconf in case the tarball was generated with incompatible
    tools

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 31 Oct 2013 13:19:04 +0100
