=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Tom Lee <debian@tomlee.co>
 Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
  python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, autotools-dev
+ xsltproc, autotools-dev, dh-autoreconf
 Standards-Version: 3.9.4
 Homepage: http://kentonv.github.io/capnproto/
 Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
 Vcs-Browser: http://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.2.1
+Package: libcapnp-0.4.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -30,7 +30,7 @@
 Package: libcapnp-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.2.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.4.0 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,7 +48,7 @@
 Package: capnproto
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.2.1 (= ${binary:Version})
+ libcapnp-0.4.0 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
