=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_build:
 	xsltproc --nonet \
