## capnproto 0.4.0

=== debian/changelog ===
capnproto (0.4.0-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in pointer validation.
    - debian/patches/CVE-2015-2310.patch: fix in src/capnp/layout.c++
    - CVE-2015-2310

  * SECURITY UPDATE: Integer underflow in pointer validation.
    - debian/patches/CVE-2015-2311.patch: fix in src/capnp/layout.c++
    - CVE-2015-2311

  * SECURITY UPDATE: CPU usage amplification attack.
    - debian/patches/CVE-2015-2312.patch: fix in src/capnp/arena.h,
      src/capnp/encoding-test.c++ and src/capnp/layout.c++
    - CVE-2015-2312

  * SECURITY UPDATE: CPU additional CPU amplification case.
    - debian/patches/CVE-2015-2313.patch: fix in src/capnp/layout.c++
      and src/capnp/encoding-test.c++
    - CVE-2015-2313

  * SECURITY UPDATE: Prevent compiler from eliding bounds checks.
    - debian/patches/CVE-2017-7892.patch: fix in src/capnp/arena.h
    - CVE-2017-7892
    
 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jul 2018 20:00:10 -0300

capnproto (0.4.0-1ubuntu2) trusty; urgency=medium

  * Bump compat level to 9.
  * Multi-arch library packages.
  * Mark the utility as foreign.
  * Enable parallel build.
  * Drop maintainer scripts, dh_makeshlibs adds ldconfig.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 12:23:36 +0100

capnproto (0.4.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el and update
    config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 Jan 2014 02:44:12 -0500

capnproto (0.4.0-1) unstable; urgency=low

  * Updated packaging, include libkj-async and libcapnp-rpc.
  * Imported Upstream version 0.4.0

 -- Tom Lee <debian@tomlee.co>  Sun, 15 Dec 2013 10:41:21 -0700

capnproto (0.3.0-1) unstable; urgency=low

  * Fix Vcs-Git URL
  * Imported Upstream version 0.3.0

 -- Tom Lee <debian@tomlee.co>  Wed, 13 Nov 2013 12:45:02 -0700
