## capnproto 0.4.1

=== debian/changelog ===
capnproto (0.4.1-2) unstable; urgency=low

  * Applying upstream patch for NaN on mips64el (Closes: 743402)

 -- Tom Lee <debian@tomlee.co>  Tue, 29 Apr 2014 01:06:24 -0700

capnproto (0.4.1-1) unstable; urgency=low

  * Applying a downstream patch for ppc64el (Closes: 735232)
  * Install capnp.pc and capnp-rpc.pc to the correct location
  * Imported Upstream version 0.4.1

 -- Tom Lee <debian@tomlee.co>  Wed, 09 Apr 2014 12:00:31 -0700
