=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Tom Lee <debian@tomlee.co>
 Build-Depends: debhelper (>= 8.0.0), gcc (>= 4.7),
  python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, autotools-dev, dh-autoreconf
-Standards-Version: 3.9.4
+ xsltproc, dh-autoreconf, netbase
+Standards-Version: 3.9.5
 Homepage: http://kentonv.github.io/capnproto/
-Vcs-Git: git://github.com/thomaslee/capnporoto-debian.git
+Vcs-Git: git://github.com/thomaslee/capnproto-debian
 Vcs-Browser: http://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.4.0
+Package: libcapnp-0.4.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -25,12 +25,12 @@
  of the rougher aspects of Protocol Buffers & introduces a number of new
  features to boot.
  .
- This package contains the runtime library needed for C++ applications.
+ This package contains the runtime libraries needed for C++ applications.
 
 Package: libcapnp-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.4.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.4.1 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,7 +48,7 @@
 Package: capnproto
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.4.0 (= ${binary:Version})
+ libcapnp-0.4.1 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
