=== debian/watch ===
version=3

http://kentonv.github.io/capnproto/install.html https?://capnproto.org/capnproto-c\+\+-(.+)\.tar\.gz
