## capnproto 0.5.3

=== debian/changelog ===
capnproto (0.5.3-2ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Prevent compiler from eliding bound checks.
    - debian/patches/CVE-2017-7892.patch: fix in src/capnp/arena.h
    - CVE-2017-7892

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jul 2018 19:55:28 -0300

capnproto (0.5.3-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/compat, debian/control:
      + Bump to debhelper 9 (needed for MultiArch).
    - debian/{control, *.install}:
      + Convert to MutliArch support. (Closes: #809065)
  * debian/patches/gcc5.diff:
    - Drop, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Dec 2015 22:36:42 +0100

capnproto (0.5.3-2) unstable; urgency=medium

  * Copyright notice updated on upstream's request
  * Fix test breakages on powerpc (Closes: #804112)

 -- Tom Lee <debian@tomlee.co>  Fri, 06 Nov 2015 17:32:09 -0800

capnproto (0.5.3-1) unstable; urgency=medium

  * Backporting final IOV_MAX patch accepted upstream
  * Add patch for hppa FTBFS (Closes: #781787)
  * Fix mipsel/powerpc/ppc64el FTBFS (Closes: #790571)
  * Imported Upstream version 0.5.3
  * Update packaging for 0.5.3
  * Fix dep5-copyright-license-name-not-unique lintian warning

 -- Tom Lee <debian@tomlee.co>  Fri, 30 Oct 2015 23:49:29 -0700

capnproto (0.5.2-2) unstable; urgency=low

  * Enable parallel builds
  * Drop postinst/postrm scripts, dh_makeshlibs adds ldconfig
  * Attempt to fix GNU/Hurd FTBFS
  * Update .gitignore
  * Add support for cmake *Config files

 -- Tom Lee <debian@tomlee.co>  Sat, 09 May 2015 02:13:59 -0700

capnproto (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2
  * Remove the (now unnecessary) MIPS NaN patch
  * Update Standards-Version to 3.9.6
  * Verbose output for dh_auto_test
  * Fix the watch file URL
  * Update Homepage in debian/control

 -- Tom Lee <debian@tomlee.co>  Sun, 03 May 2015 00:49:25 -0700

capnproto (0.4.1-3) unstable; urgency=high

  * Fix CVE-2015-2310: Integer overflow in pointer validation (Closes: 780565)
  * Fix CVE-2015-2311: Integer underflow in pointer validation (Closes: 780566)
  * Fix CVE-2015-2312: CPU usage amplification attack (Closes: 780567)
  * Fix CVE-2015-2313: CPU usage amplification attack #2 (Closes: 780568)

 -- Tom Lee <debian@tomlee.co>  Tue, 17 Mar 2015 19:53:24 -0800

capnproto (0.4.0-1ubuntu3) wily; urgency=medium

  * Fix build errors with GCC 5.
  * Don't yet merge the new upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 12:24:34 +0200
