=== debian/changelog ===
capnproto (0.6.1-1ubuntu1) bionic; urgency=medium

  [ Rico Tzschichholz ]
  * control: Mark libcapnp-0.6.1 as Multi-Arch: same. (LP: #1754009)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Mar 2018 13:48:34 +0200

capnproto (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1 (Closes: #866525) which includes:
     - a fix for CVE-2017-7892 (Closes: #860960)
     - a fix for broken GCC 7 builds (Closes: #853342, #853539)
     - a possible fix for the hurd-i386 FTBFS in #804122
  * MultiArch support (Closes: #809065)
  * Clean up some Lintian gripes
  * Updated to debhelper 9, Standards-Version 4.0.0
  * License in debian/copyright changed from BSD-2-clause to MIT

 -- Tom Lee <debian@tomlee.co>  Sat, 26 Aug 2017 10:54:20 -0700
