=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: capnproto
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9), gcc (>= 4.7),
- python-all (>= 2.6), dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml,
- xsltproc, dh-autoreconf, netbase
-Standards-Version: 3.9.6
+Maintainer: Tom Lee <debian@tomlee.co>
+Build-Depends: debhelper (>= 9), gcc (>= 4.7), python-all (>= 2.6),
+ dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, dh-autoreconf,
+ netbase
+Standards-Version: 4.0.0
 Homepage: https://capnproto.org/
-Vcs-Git: git://github.com/thomaslee/capnproto-debian
-Vcs-Browser: http://github.com/thomaslee/capnproto-debian
+Vcs-Git: https://github.com/thomaslee/capnproto-debian
+Vcs-Browser: https://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.5.3
+Package: libcapnp-0.6.1
 Architecture: any
-Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Cap'n Proto C++ library
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -31,9 +30,8 @@
 
 Package: libcapnp-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.5.3 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.6.1 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -50,9 +48,8 @@
 
 Package: capnproto
 Architecture: any
-Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.5.3 (= ${binary:Version})
+ libcapnp-0.6.1 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
