=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 	rm -f debian/capnp.1
 	dh_auto_clean
 
+override_dh_auto_test:
+	VERBOSE=1 dh_auto_test
+
