=== debian/changelog ===
capnproto (0.7.0-3) unstable; urgency=medium

  * Add missing binaries (Closes: #919180)
  * Rename a patch file from the earlier NMU

 -- Tom Lee <debian@tomlee.co>  Tue, 05 Feb 2019 01:13:51 -0800

capnproto (0.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dimitri John Ledkov ]
  * Workaround generating invalid CapnProtoConfig which is not multiarch
    cmake aware, and thus yields invalid bin and include paths.
    Closes: #920230

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 08:51:06 +0100

capnproto (0.7.0-2) unstable; urgency=medium

  * Add a .gitignore file to packaging
  * Disable a few broken tests on kfreebsd archs

 -- Tom Lee <debian@tomlee.co>  Sun, 30 Dec 2018 05:32:44 -0800

capnproto (0.7.0-1) unstable; urgency=medium

  * Import Upstream version 0.7.0
  * Fix minor typo in src/kj/filesystem.c++
  * Updated to Standards-Version 4.2.1
  * Bump debian/compat to 11
  * Address some pedantic lintian issues
  * Add a quick functional test
  * Add Multi-Arch headers (Closes: #905351)

 -- Tom Lee <debian@tomlee.co>  Sat, 22 Dec 2018 15:58:08 -0700
