=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Tom Lee <debian@tomlee.co>
-Build-Depends: debhelper (>= 9), gcc (>= 4.7), python-all (>= 2.6),
- dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, dh-autoreconf,
- netbase
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), gcc (>= 4.7), python-all (>= 2.6),
+ dpkg-dev (>= 1.16.1.1), docbook-xsl, docbook-xml, xsltproc, netbase, cmake
+Standards-Version: 4.3.0
 Homepage: https://capnproto.org/
 Vcs-Git: https://github.com/thomaslee/capnproto-debian
 Vcs-Browser: https://github.com/thomaslee/capnproto-debian
 
-Package: libcapnp-0.6.1
+Package: libcapnp-0.7.0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: Cap'n Proto C++ library
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -30,8 +29,9 @@
 
 Package: libcapnp-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libcapnp-0.6.1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcapnp-0.7.0 (= ${binary:Version})
 Description: Cap'n Proto C++ library (development files)
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -48,8 +48,9 @@
 
 Package: capnproto
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libcapnp-0.6.1 (= ${binary:Version})
+ libcapnp-0.7.0 (= ${binary:Version})
 Description: tool for working with the Cap'n Proto data interchange format
  Similar to Protocol Buffers, Cap'n Proto is an efficient means of
  serializing structured data to be transferred across a network or
@@ -64,4 +65,3 @@
  This package contains a small suite of tools for developing & maintaining
  your Cap'n Proto schema files, including a code generator for compiling
  your schema files to supported languages.
-
