=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DH_OPTIONS
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@ --with autoreconf
 
 override_dh_auto_build:
 	xsltproc --nonet \
@@ -31,4 +31,3 @@
 
 override_dh_auto_test:
 	VERBOSE=1 dh_auto_test
-
